MLton 20210117

# RSSASimplify

The optimization passes for the RSSA IntermediateLanguage are collected and controlled by the Backend functor (backend.sig, backend.fun).

The following optimization pass is implemented:

- BounceVars

- CollectStatics

- RSSAShrink

The following implementation passes are implemented:

- ImplementHandlers

- ImplementProfiling

- InsertLimitChecks

- InsertSignalChecks

The optimization passes can be controlled from the command-line by the options

- -diag-pass <pass>— keep diagnostic info for pass

- -disable-pass <pass>— skip optimization pass (if normally performed)

- -enable-pass <pass>— perform optimization pass (if normally skipped)

- -keep-pass <pass>— keep the results of pass